.\" xvmpeg v.0.1a
.TH XVMPEG 1 "5 August 1995"
.SH NAME
xvmpeg \- OpenLook interface to mpeg_play.
.SH SYNOPSIS
.B xvmpeg
[
.B file_name
]
.SH DESCRIPTION
.B xvmpeg
uses a system() call to mpeg_play to display mpeg-1 files. Any error
messages or notices are sent to /dev/console.
.SH NOTES
If your screen depth is greater than 8bpp then you should choose 'color' 
dithering. Online help is available using the OpenLook help mechanism; 
see the 
.I SETUP 
section below for more details on how to set this up \-\- 
for a  quick test, try hitting F1 when you pointer is in xvmpeg (and 
window manager has 
.I focused 
on the application).
.LP
If you want to see the error messages, you should have a xconsole running.
.LP
There are a few keyborad accelerators. They are:
.PP
.nf
q = Quits application;
o = Displays open file window;
p = Play animation;
a = Displays about window.
.fi
.LP
.SH SETUP
This section explains how to setup your environment so that you may use
the OpenLook help mechanism. First, add the following lines to your
.I $HOME/.Xmodmap
file:
.PP
.nf
keysym F1 = Help
keysym F2 = F19
keysym F3 = F20
keysym F4 = F16
keysym F5 = F18
.fi
.PP
Actually, only the line for the Help (F1 key) is required. The others (F2 
thru F5) are for other uses in xview. Once this is done, if you still can't
use the OpenLook help facilities, try setting the environment variable
.I $HELPPATH 
to wherever the info file is located. If you use csh/tcsh try this:
.LP
setenv HELPPATH $HELPPATH:/where/ever/the/info/file/is
.LP
and if you use bash/ksh/sh try this:
.LP
export HELPPATH=$HELPPATH:/where/ever/the/info/file/is
.SH FILES
.TP 10
.I $HELPPATH/xvmpeg.info 
Used for OpenLook help mechanism.
.TP
.I $OPENWINHOME/man/man1/xvmpeg.1x 
The (beautiful) man page (This file!).
.SH COPYRIGHT
.B xvmpeg
0.1, Copyright (C) 1995 Alexandre Naaman <hoser@step.polymtl.ca>.
.LP
.B xvmpeg
comes with 
.I ABSOLUTELY NO WARRANTY. 
This is free software, you are welcome to
redistribute it under certain conditions; See the GNU General Public License
for details.
.SH SEE ALSO
mpeg_play(1), xview(1).
.SH AUTHOR
.HP
Alexandre Naaman <hoser@step.polymtl.ca>
